> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Decant reviews

> A decant case's reviews and contact log



## OpenAPI

````yaml /openapi.json get /maintenance-pro/decants/{id}/reviews
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: company-onboarding
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: people
  - name: property-boards
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/decants/{id}/reviews:
    get:
      tags:
        - maintenance-pro
      summary: Decant reviews
      description: A decant case's reviews and contact log
      operationId: maintenance-pro.decantReviews
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  case:
                    type: object
                    properties:
                      id:
                        type: string
                      reference:
                        type: string
                      propertyId:
                        type: string
                      propertyAddress:
                        type: string
                      household:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            relationship:
                              anyOf:
                                - type: string
                                - type: 'null'
                            age:
                              anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: 'null'
                            needs:
                              anyOf:
                                - type: string
                                - type: 'null'
                            contactId:
                              anyOf:
                                - anyOf:
                                    - type: string
                                    - type: 'null'
                                - type: 'null'
                          required:
                            - name
                            - relationship
                            - age
                            - needs
                          additionalProperties: false
                      householdLabel:
                        anyOf:
                          - type: string
                          - type: 'null'
                      repairId:
                        type: string
                      repairReference:
                        anyOf:
                          - type: string
                          - type: 'null'
                      workOrderId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      workOrderReference:
                        anyOf:
                          - type: string
                          - type: 'null'
                      type:
                        type: string
                        enum:
                          - temporary_decant
                          - permanent_decant
                      status:
                        type: string
                        enum:
                          - scheduled
                          - active
                          - review_due
                          - returned
                          - rehoused
                          - closed
                      startOn:
                        type: string
                      expectedEndOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      ownerUserId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      ownerName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      funding:
                        type: string
                        enum:
                          - building_insurer
                          - landlord
                      lossOfAmenity:
                        anyOf:
                          - type: string
                          - type: 'null'
                      arrangement:
                        anyOf:
                          - type: string
                          - type: 'null'
                      claimReference:
                        anyOf:
                          - type: string
                          - type: 'null'
                      closedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      tabs:
                        type: array
                        items:
                          type: object
                          properties:
                            stage:
                              type: string
                              enum:
                                - overview
                                - assessment
                                - accommodation
                                - allowances
                                - reviews
                                - recovery
                                - closure
                            label:
                              type: string
                            subtitle:
                              type: string
                            tone:
                              type: string
                              enum:
                                - neutral
                                - green
                                - blue
                                - amber
                                - red
                          required:
                            - stage
                            - label
                            - subtitle
                            - tone
                          additionalProperties: false
                    required:
                      - id
                      - reference
                      - propertyId
                      - propertyAddress
                      - household
                      - householdLabel
                      - repairId
                      - repairReference
                      - workOrderId
                      - workOrderReference
                      - type
                      - status
                      - startOn
                      - expectedEndOn
                      - ownerUserId
                      - ownerName
                      - funding
                      - lossOfAmenity
                      - arrangement
                      - claimReference
                      - closedAt
                      - tabs
                    additionalProperties: false
                  due:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                          dueOn:
                            type: string
                          completedOn:
                            anyOf:
                              - type: string
                              - type: 'null'
                          reviewerUserId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          reviewerName:
                            anyOf:
                              - type: string
                              - type: 'null'
                          outcome:
                            anyOf:
                              - type: string
                              - type: 'null'
                          status:
                            type: string
                            enum:
                              - due
                              - complete
                              - planned
                          answers:
                            anyOf:
                              - type: object
                                properties:
                                  repairOnSchedule:
                                    type: boolean
                                  circumstancesChanged:
                                    type: boolean
                                  accommodationSuitable:
                                    type: boolean
                                  extensionNeeded:
                                    type: boolean
                                required:
                                  - repairOnSchedule
                                  - circumstancesChanged
                                  - accommodationSuitable
                                  - extensionNeeded
                                additionalProperties: false
                              - type: 'null'
                          expectedReturnOn:
                            anyOf:
                              - type: string
                              - type: 'null'
                          contactMethod:
                            anyOf:
                              - type: string
                                enum:
                                  - visit
                                  - phone
                                  - video_call
                              - type: 'null'
                          notes:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - dueOn
                          - completedOn
                          - reviewerUserId
                          - reviewerName
                          - outcome
                          - status
                          - answers
                          - expectedReturnOn
                          - contactMethod
                          - notes
                        additionalProperties: false
                      - type: 'null'
                  schedule:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        dueOn:
                          type: string
                        completedOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        reviewerUserId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        reviewerName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        outcome:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - due
                            - complete
                            - planned
                        answers:
                          anyOf:
                            - type: object
                              properties:
                                repairOnSchedule:
                                  type: boolean
                                circumstancesChanged:
                                  type: boolean
                                accommodationSuitable:
                                  type: boolean
                                extensionNeeded:
                                  type: boolean
                              required:
                                - repairOnSchedule
                                - circumstancesChanged
                                - accommodationSuitable
                                - extensionNeeded
                              additionalProperties: false
                            - type: 'null'
                        expectedReturnOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        contactMethod:
                          anyOf:
                            - type: string
                              enum:
                                - visit
                                - phone
                                - video_call
                            - type: 'null'
                        notes:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - dueOn
                        - completedOn
                        - reviewerUserId
                        - reviewerName
                        - outcome
                        - status
                        - answers
                        - expectedReturnOn
                        - contactMethod
                        - notes
                      additionalProperties: false
                  contactLog:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        at:
                          type: string
                        with:
                          type: string
                        method:
                          type: string
                          enum:
                            - visit
                            - phone
                            - video_call
                        summary:
                          type: string
                      required:
                        - id
                        - at
                        - with
                        - method
                        - summary
                      additionalProperties: false
                  dates:
                    type: object
                    properties:
                      frequencyDays:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      lastReviewOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      nextReviewOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      daysInDecant:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                    required:
                      - frequencyDays
                      - lastReviewOn
                      - nextReviewOn
                      - daysInDecant
                    additionalProperties: false
                required:
                  - case
                  - due
                  - schedule
                  - contactLog
                  - dates
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable | MaintenanceRepairInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/MaintenanceRepairInvalidEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound | MaintenanceRepairNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/MaintenanceRepairNotFoundEncoded'
        '409':
          description: >-
            WebhookDuplicate | RegistrationConflict | MaintenanceRepairConflict
            | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MaintenanceRepairConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    MaintenanceRepairInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceRepairInvalid
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    MaintenanceRepairNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceRepairNotFound
        resource:
          type: string
        id:
          type: string
      required:
        - _tag
        - resource
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MaintenanceRepairConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceRepairConflict
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.